--[[

	MapBegone 1.0.7 Mod Lua file
	Author: Ki
	E-mail: leonard4@gmail.com
]]

	
	
	local MB_Version = "1.0.7";
	
function MapBegone_OnLoad()

	SlashCmdList["MAPBEGONECOMMAND"] = MapBegone_SlashHandler;
	SLASH_MAPBEGONECOMMAND1 = "/MapBegone";
	SLASH_MAPBEGONECOMMAND2 = "/MB";

	this:RegisterEvent("VARIABLES_LOADED");

end


function MapBegone_OnEvent()

	if (event == "VARIABLES_LOADED") then
		if (MB_Worldmap == nil or MB_Worldmap == "") then
			MB_Worldmap = "hidden";
		end
		if (MB_Tracking == nil or MB_Tracking == "") then
			MB_Tracking = "shown";
		end
		if (MB_Time == nil or MB_Time == "") then
			MB_Time = "shown";
		end
		if (MB_Zoom == nil or MB_Zoom == "") then
			MB_Zoom = "shown";
		end
		if (MB_North == nil or MB_North == "") then
			MB_North = "shown";
		end
		if (MB_Calendar == nil or MB_Calendar == "") then
			MB_Calendar = "shown";
		end
	end


	if (MB_Worldmap == "hidden") then
	--	Hide World Map button
		MiniMapWorldMapButton:Hide()
	end


	if (MB_Tracking == "hidden") then
	--	Going to Add a way to hide it and still use it later
		MiniMapTracking:Hide()
	end


	if (MB_Calendar == "hidden") then
	--	Quick and dirty Calendar/Day-Night Hiding
		GameTimeFrame:Hide()
	end


	if (MB_Zoom == "hidden") then
	--	Hide the +/- Zoom Controls
		MinimapZoomIn:Hide()
		MinimapZoomOut:Hide()
	end


	if (MB_Time == "hidden") then
	--	Hide the Game Clock, not sure on the command
	--	GameTimeFrame:Hide()
	end


	if (MB_North == "hidden") then
	--	Hide North indicator
		MinimapNorthTag:Hide()
	end

--		MinimapToggleButton:Hide()
--		MinimapBorderTop:Hide()
--		MinimapZoneTextButton:Hide()


end


function MapBegone_SlashHandler(msg)

	msg = string.lower(msg);
	local argT = {};

	gsub(msg, "(%S+)", function(w) tinsert(argT, w) end)
	

	if (msg == "" or msg == nil) then
		DEFAULT_CHAT_FRAME:AddMessage("--MapBegone v" .. MB_Version .. " Help ( /mb or /mapbegone )",0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/Mapbegone hide/show",1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone Calendar -- Status:" .. MB_Calendar,1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone WorldMap -- Status:" .. MB_Worldmap,1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone Tracking -- Status:" .. MB_Tracking,1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone Time     -- Status:" .. MB_Time,1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone Zoom     -- Status:" .. MB_Zoom,1.0,1.0,1.0);
		DEFAULT_CHAT_FRAME:AddMessage("/MapBegone North    -- Status:" .. MB_North,1.0,1.0,1.0);

--	Slash Command to Hide All

	elseif (msg == "hide") then
		MiniMapWorldMapButton:Hide()
			MB_Worldmap = "hidden";
		MiniMapTracking:Hide()
			MB_Tracking = "hidden";
		GameTimeFrame:Hide()
			MB_Calendar = "hidden";
		MinimapZoomIn:Hide()
		MinimapZoomOut:Hide()
			MB_Zoom = "hidden";
		GameTimeFrame:Hide()
		MinimapNorthTag:Hide()
			MB_North = "hidden";

--	Slash Command to Show All

	elseif (msg == "show") then
		MiniMapWorldMapButton:Show()
			MB_Worldmap = "shown";
		MiniMapTracking:Show()
			MB_Tracking = "shown";
		GameTimeFrame:Show()
			MB_Calendar = "shown";
		MinimapZoomIn:Show()
		MinimapZoomOut:Show()
			MB_Zoom = "shown";
		GameTimeFrame:Show()
		MinimapNorthTag:Show()
			MB_North = "shown";		


	elseif (argT[1] == "calendar") then
                if (argT[2] == "hide") then 
			MB_Calendar = "hidden";
			GameTimeFrame:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("Hiding Calendar Icon",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_Calendar = "shown";
			GameTimeFrame:Show()
			DEFAULT_CHAT_FRAME:AddMessage("Showing Calendar Icon",1.0,1.0,1.0);
		end
	end

	elseif (argT[1] == "worldmap") then
                if (argT[2] == "hide") then 
			MB_Worldmap = "hidden";
			MiniMapWorldMapButton:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("Hiding Worldmap Icon",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_Worldmap = "shown";
			MiniMapWorldMapButton:Show()
			DEFAULT_CHAT_FRAME:AddMessage("Showing Worldmap Icon",1.0,1.0,1.0);
		end
	end

	elseif (argT[1] == "zoom") then
                if (argT[2] == "hide") then 
			MB_Zoom = "hidden";
			MinimapZoomIn:Hide()
			MinimapZoomOut:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("Hiding Zoom Icons",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_Zoom = "shown";
			MinimapZoomIn:Show()
			MinimapZoomOut:Show()
			DEFAULT_CHAT_FRAME:AddMessage("Showing Zoom Icons",1.0,1.0,1.0);
		end
	end

	elseif (argT[1] == "tracking") then
                if (argT[2] == "hide") then 
			MB_Tracking = "hidden";
			MiniMapTracking:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("Hiding Tracking Icon",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_Tracking = "shown";
			MiniMapTracking:Show()
			DEFAULT_CHAT_FRAME:AddMessage("Showing Tracking Icon",1.0,1.0,1.0);
		end
	end

	elseif (argT[1] == "north") then
                if (argT[2] == "hide") then 
			MB_North = "hidden";
			MinimapNorthTag:Hide()
			DEFAULT_CHAT_FRAME:AddMessage("Hiding North Icon",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_North = "shown";
			MinimapNorthTag:Show()
			DEFAULT_CHAT_FRAME:AddMessage("Showing North Icon",1.0,1.0,1.0);
		end
	end

	elseif (argT[1] == "time") then
                if (argT[2] == "hide") then 
			MB_Time = "hidden";
			DEFAULT_CHAT_FRAME:AddMessage("Hiding Time Icon",1.0,1.0,1.0);

		else if (argT[2] == "show") then 
			MB_Time = "shown";
			DEFAULT_CHAT_FRAME:AddMessage("Showing Time Icon",1.0,1.0,1.0);
		end
	end





    end
end
